/******************************************************************************
 *
 * This file is provided under a dual license.  When you use or
 * distribute this software, you may choose to be licensed under
 * version 2 of the GNU General Public License ("GPLv2 License")
 * or BSD License.
 *
 * GPLv2 License
 *
 * Copyright(C) 2019 MediaTek Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See http://www.gnu.org/licenses/gpl-2.0.html for more details.
 *
 * BSD LICENSE
 *
 * Copyright(C) 2019 MediaTek Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *  * Neither the name of the copyright holder nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *****************************************************************************/
 *
 * $Author: brianpc.huang $
 * $Date: 2015/05/29 $
 * $RCSfile: drv_tdnavi.h $
 * $Revision: #1 $
 *
 *----------------------------------------------------------------------------*/

#ifndef _DRV_TD_NAVI_H_
#define _DRV_TD_NAVI_H_

/*----------------------------------------------------------------------------*
 * Header Files
 *----------------------------------------------------------------------------*/
#include "typedef.h"
#include "hw_vdoin.h"
#include "nptv_debug.h"
#include "video_timing.h"

//#define NAVI_LINE_WIDTH     32
#define NAVI_LINE_WIDTH     30
#define NAVI_LINE_HEIGHT    16

EXTERN HANDLE_T _hTDNAVIDumpLock;
EXTERN HANDLE_T _hTDNAVIDumpStart;
EXTERN HANDLE_T _hTDNAVIVCheck;
EXTERN HANDLE_T _hTDNAVIVLoopCheck;


/*----------------------------------------------------------------------------*
 * Definitions
 *----------------------------------------------------------------------------*/
 
typedef enum
{
    TD_NAVI_DETECT_2D = 0,
    TD_NAVI_DETECT_SBS,
    TD_NAVI_DETECT_TAB,
    TD_NAVI_DETECT_LI,
    TD_NAVI_DETECT_CI,
    TD_NAVI_DETECT_CB,
    TD_NAVI_DETECT_QC,
    TD_NAVI_DETECT_FS,
    TD_NAVI_DETECT_UNKNOWN,
#if 0 // For Interface , Should not return unkown status to other module
    TD_NAVI_DETECT_RESERVED,
    TD_NAVI_DETECT_TOO_FEW,
    TD_NAVI_DETECT_AMBIGUO,
    TD_NAVI_DETECT_NEIGHBO,
#endif
    TD_NAVI_DETECT_MAX
}TD_NAVI_DETECT;

/*----------------------------------------------------------------------------*
 * Global/Static variables
 *----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*
 * Function Members
 *----------------------------------------------------------------------------*/

// 3D NAVI
void vDrvTdNaviSetPicSize(void);
UINT8 u1DrvTdNaviModeChange(void);
void vDrvTdNaviInit(void);
void vDrvTdNaviMainloop(void);
UINT8 vDrvTdNaviGetSbsCnt(void);
UINT8 vDrvTdNaviGetTabCnt(void);
UINT8 vDrvTdNaviGetSbsVldBlk(void);
UINT8 vDrvTdNaviGetTabVldBlk(void);
UINT8 vDrvTdNaviGetNewDetType(void);
UINT8 vDrvTdNaviGetCurrDetType(void);
void vDrvTdNaviSetSimilarityRatio(UINT8 u1Ratio);
void vDrvTdNaviSetSimilarityThr(UINT8 u1Thr);
void vDrvTdNaviSetDecisionType(UINT8 u1Type);
void vDrvTdNaviSetDbgType(UINT8 u1Type);
void vDrvTDTVTDNAVIStressTest(UINT32 count);
void vDrvTdNaviAtInputISR(void);

//Extra Format detection

typedef enum
{
	TD_NAVI_V2_DETECT_LI=0,    
	TD_NAVI_V2_DETECT_CI,
    TD_NAVI_V2_DETECT_CB,
    TD_NAVI_V2_DETECT_QC,
    TD_NAVI_V2_DETECT_2D,
    TD_NAVI_V2_DETECT_UNKNOWN,
    TD_NAVI_V2_DETECT_MAX
}TD_NAVI_V2_DETECT;

void vDrvTdNaviV2Det(void);
void vDrvTdNaviV2ModeChange(void);
void vDrvTdNaviV2Init(void);

extern UINT8 g_u1TdNaviV2DetCurr;
extern UINT8 g_u1TdNaviV2DetNew;


// REALD

enum
{
    REALD_DETECT_2D = 0,
    REALD_DETECT_RD,
    REALD_DETECT_MAX
};

void vDrvRealDInit(void);
void vDrvRealDMainloop(UINT8 u1VdpId);
void u1DrvRealDMaskOnOff(UINT8 u1VdpId, UINT8 u1OnOff);
void u2DrvRealDQuery(void);

UINT8 u1DrvRealDModeChange(UINT8 u1VdpId);
UINT8 u1DrvRealDGetCurrDetType(UINT8 u1VdpId);


//SW TDNAVI ,TDNAVI PLUS
TD_NAVI_DETECT eDrvSwNaviDetectedFmtQuery(void);
void vDrvTdNaviFWDetectionInit(void);
void vDrvTdNaviFWDetectionProc(void);

void vDrvTDTVTDNAVIDumpInit(void);
void vDrvTDTVTDNAVIDumpBuf(void *pvArgs);
void vDrvTDTVTDNAVIFillBuf(void);

//3D TO 2D
typedef struct
{
    UINT16 u2Width;
    UINT16 u2Height;
    UINT8 u1TD22DEn;
    UINT8 u1MaskSel;
    UINT8 u1ModeSel;
    UINT8 u1IsIntr;
}TD22D_INFO;

UINT32 vDrvTTTIsFldInv(UINT32 u1VdpId);

EXTERN TD22D_INFO gMain3DTo2DInfo, gPip3DTo2DInfo;

#endif //#ifndef _DRV_TD_NAVI_H_
