#ifndef _HW_HPCPLL_H_
#define _HW_HPCPLL_H_

//Page HISTORY
#define IO_HPCPLL_BASE (IO_VIRT + 0x62000)
#define IO_ARMPLL_BASE (IO_VIRT + 0x62000)
#define IO_DMUXPL_BASE (IO_VIRT + 0x62000)

//HPCPLL
#define REG_HPCPLL_CFG0 (IO_HPCPLL_BASE + 0x500)
    #define FLD_RG_HPCPLL_PWD Fld(1,31,AC_MSKB3)//[31:31]
    #define FLD_RG_HPCPLL_FBDIV Fld(7,24,AC_MSKB3)//[30:24]
    #define FLD_RG_HPCPLL_PREDIV Fld(2,22,AC_MSKB2)//[23:22]
    #define FLD_RG_HPCPLL_POSDIV Fld(2,20,AC_MSKB2)//[21:20]
    #define FLD_RG_HPCPLL_CKCTRL Fld(2,18,AC_MSKB2)//[19:18]
    #define FLD_RG_HPCPLL_FBSEL Fld(2,16,AC_MSKB2)//[17:16]
    #define FLD_RG_HPCPLL_DIVEN Fld(3,13,AC_MSKB1)//[15:13]
    #define FLD_RG_HPCPLL_BP Fld(1,12,AC_MSKB1)//[12:12]
    #define FLD_RG_HPCPLL_BR Fld(1,11,AC_MSKB1)//[11:11]
    #define FLD_RG_HPCPLL_HF Fld(1,10,AC_MSKB1)//[10:10]
    #define FLD_RG_HPCPLL_LF Fld(1,9,AC_MSKB1)//[9:9]
    #define FLD_RG_HPCPLL_FPEN Fld(1,8,AC_MSKB1)//[8:8]
    #define FLD_RG_HPCPLL_MONEN Fld(1,7,AC_MSKB0)//[7:7]
    #define FLD_RG_HPCPLL_ACCEN Fld(1,6,AC_MSKB0)//[6:6]
    #define FLD_RG_HPCPLL_BIAS_RST Fld(1,5,AC_MSKB0)//[5:5]
    #define FLD_RG_HPCPLL_BIAS_PWD Fld(1,4,AC_MSKB0)//[4:4]
    #define FLD_RG_HPCPLL_BRCKRX_PD Fld(1,3,AC_MSKB0)//[3:3]
    #define FLD_RG_HPCPLL_BRCKMON_PD Fld(1,2,AC_MSKB0)//[2:2]
    #define FLD_RG_HPCPLL_VODEN Fld(1,1,AC_MSKB0)//[1:1]
    #define FLD_RG_HPCPLL_SEL_CK Fld(1,0,AC_MSKB0)//[0:0]
#define REG_HPCPLL_CFG1 (IO_HPCPLL_BASE + 0x504)
    #define FLD_RG_HPCPLL_MONSEL Fld(4,28,AC_MSKB3)//[31:28]
    #define FLD_RG_HPCPLL_BRCKMON_AMPADJ Fld(3,25,AC_MSKB3)//[27:25]
    #define FLD_RG_HPCPLL_MONCKEN Fld(1,24,AC_MSKB3)//[24:24]
    #define FLD_RG_HPCPLL_FMEN Fld(1,23,AC_MSKB2)//[23:23]
    #define FLD_RG_HPCPLL_REFCK_SEL Fld(2,21,AC_MSKB2)//[22:21]
    #define FLD_RG_HPCPLL_M4PDIV Fld(2,19,AC_MSKB2)//[20:19]
    #define FLD_RG_HPCPLL_V11EN Fld(1,18,AC_MSKB2)//[18:18]
    #define FLD_RG_HPCPLL_REFCK_EN Fld(1,17,AC_MSKB2)//[17:17]
    #define FLD_RG_HPCPLL_DET_EN Fld(1,16,AC_MSKB2)//[16:16]
    #define FLD_RG_HPCPLL_TSTCK_EN Fld(1,15,AC_MSKB1)//[15:15]
    #define FLD_RG_HPCPLL_RESERVE Fld(5,10,AC_MSKB1)//[14:10]
    #define FLD_RG_HPCPLL_MON Fld(2,8,AC_MSKB1)//[9:8]
    #define FLD_RG_HPCPLL_D2S Fld(8,0,AC_FULLB0)//[7:0]

//ARMPLL
#define REG_ARMPLL_CFG0 (IO_ARMPLL_BASE + 0x300)
    #define FLD_RG_ARMPLL_FBSEL Fld(2,30,AC_MSKB3)//[31:30]
    #define FLD_RG_ARMPLL_BP Fld(1,29,AC_MSKB3)//[29:29]
    #define FLD_RG_ARMPLL_BR Fld(1,28,AC_MSKB3)//[28:28]
    #define FLD_RG_ARMPLL_OUT_EN Fld(1,27,AC_MSKB3)//[27:27]
    #define FLD_RG_ARMPLL_FBDIV Fld(7,20,AC_MSKW32)//[26:20]
    #define FLD_RG_ARMPLL_PREDIV Fld(2,18,AC_MSKB2)//[19:18]
    #define FLD_RG_ARMPLL_POSDIV Fld(2,16,AC_MSKB2)//[17:16]
    #define FLD_RG_ARMPLL_DIVEN Fld(3,13,AC_MSKB1)//[15:13]
    #define FLD_RG_ARMPLL_MONCKEN Fld(1,11,AC_MSKB1)//[11:11]
    #define FLD_RG_ARMPLL_MONVCEN Fld(1,10,AC_MSKB1)//[10:10]
    #define FLD_RG_ARMPLL_MONMUXCK_EN Fld(1,9,AC_MSKB1)//[9:9]
    #define FLD_RG_ARMPLL_EN Fld(1,8,AC_MSKB1)//[8:8]
    #define FLD_RG_ARMPLL_MONMUX_SEL Fld(2,6,AC_MSKB0)//[7:6]
    #define FLD_RG_ARMPLL_LVROD_EN Fld(1,5,AC_MSKB0)//[5:5]
    #define FLD_RG_ARMPLL_VODEN Fld(1,4,AC_MSKB0)//[4:4]
    #define FLD_RG_ARMPLL_BIAS_LPF_EN Fld(1,3,AC_MSKB0)//[3:3]
    #define FLD_RG_ARMPLL_REFCK_MON_EN Fld(1,2,AC_MSKB0)//[2:2]
    #define FLD_RG_ARMPLL_BIAS_EN Fld(1,1,AC_MSKB0)//[1:1]
    #define FLD_RG_ARMPLL_TSTCK_EN Fld(1,0,AC_MSKB0)//[0:0]
#define REG_ARMPLL_CFG1 (IO_ARMPLL_BASE + 0x304)
    #define FLD_RG_ARMPLL_TEST_DIV2_SEL Fld(3,29,AC_MSKB3)//[31:29]
    #define FLD_RG_ARMPLL_TST_PD Fld(1,28,AC_MSKB3)//[28:28]
    #define FLD_RG_ARMPLL_TST_AMPADJ Fld(3,25,AC_MSKB3)//[27:25]
    #define FLD_RG_MPX_BYPASS Fld(1,24,AC_MSKB3)//[24:24]
    #define FLD_RG_ARMPLL_TSTCK_MONSEL Fld(4,20,AC_MSKB2)//[23:20]
    #define FLD_RG_MPX_EN Fld(1,19,AC_MSKB2)//[19:19]
    #define FLD_RG_MPX_SEL Fld(5,11,AC_MSKB1)//[15:11]
    #define FLD_RG_ARMPLL_RESERVE Fld(4,7,AC_MSKW10)//[10:7]

// IO_DMUXPL	
#define REG_DMUXPLL_CFG0 (IO_DMUXPL_BASE + 0x400)
    #define FLD_RG_DMUXPLL_PWD Fld(1,31,AC_MSKB3)//[31:31]
    #define FLD_RG_DMUXPLL_FBDIV Fld(7,24,AC_MSKB3)//[30:24]
    #define FLD_RG_DMUXPLL_PREDIV Fld(2,22,AC_MSKB2)//[23:22]
    #define FLD_RG_DMUXPLL_POSDIV Fld(2,20,AC_MSKB2)//[21:20]
    #define FLD_RG_DMUXPLL_CKCTRL Fld(2,18,AC_MSKB2)//[19:18]
    #define FLD_RG_DMUXPLL_FBSEL Fld(2,16,AC_MSKB2)//[17:16]
    #define FLD_RG_DMUXPLL_DIVEN Fld(3,13,AC_MSKB1)//[15:13]
    #define FLD_RG_DMUXPLL_BP Fld(1,12,AC_MSKB1)//[12:12]
    #define FLD_RG_DMUXPLL_BR Fld(1,11,AC_MSKB1)//[11:11]
    #define FLD_RG_DMUXPLL_HF Fld(1,10,AC_MSKB1)//[10:10]
    #define FLD_RG_DMUXPLL_LF Fld(1,9,AC_MSKB1)//[9:9]
    #define FLD_RG_DMUXPLL_FPEN Fld(1,8,AC_MSKB1)//[8:8]
    #define FLD_RG_DMUXPLL_MONEN Fld(1,7,AC_MSKB0)//[7:7]
    #define FLD_RG_DMUXPLL_ACCEN Fld(1,6,AC_MSKB0)//[6:6]
    #define FLD_RG_DMUXPLL_BIAS_RST Fld(1,5,AC_MSKB0)//[5:5]
    #define FLD_RG_DMUXPLL_BIAS_PWD Fld(1,4,AC_MSKB0)//[4:4]
    #define FLD_RG_DMUXPLL_BRCKRX_PD Fld(1,3,AC_MSKB0)//[3:3]
    #define FLD_RG_DMUXPLL_BRCKMON_PD Fld(1,2,AC_MSKB0)//[2:2]
    #define FLD_RG_DMUXPLL_VODEN Fld(1,1,AC_MSKB0)//[1:1]
    #define FLD_RG_DMUXPLL_SEL_CK Fld(1,0,AC_MSKB0)//[0:0]
#define REG_DMUXPLL_CFG1 (IO_DMUXPL_BASE + 0x404)
    #define FLD_RG_DMUXPLL_MONSEL Fld(4,28,AC_MSKB3)//[31:28]
    #define FLD_RG_DMUXPLL_BRCKMON_AMPADJ Fld(3,25,AC_MSKB3)//[27:25]
    #define FLD_RG_DMUXPLL_MONCKEN Fld(1,24,AC_MSKB3)//[24:24]
    #define FLD_RG_DMUXPLL_FMEN Fld(1,23,AC_MSKB2)//[23:23]
    #define FLD_RG_DMUXPLL_REFCK_SEL Fld(2,21,AC_MSKB2)//[22:21]
    #define FLD_RG_DMUXPLL_M4PDIV Fld(2,19,AC_MSKB2)//[20:19]
    #define FLD_RG_DMUXPLL_V11EN Fld(1,18,AC_MSKB2)//[18:18]
    #define FLD_RG_DMUXPLL_REFCK_EN Fld(1,17,AC_MSKB2)//[17:17]
    #define FLD_RG_DMUXPLL_DET_EN Fld(1,16,AC_MSKB2)//[16:16]
    #define FLD_RG_DMUXPLL_TSTCK_EN Fld(1,15,AC_MSKB1)//[15:15]
    #define FLD_RG_DMUXPLL_RESERVE Fld(5,10,AC_MSKB1)//[14:10]
    #define FLD_RG_DMUXPLL_MON Fld(2,8,AC_MSKB1)//[9:8]
    #define FLD_RG_DMUXPLL_D2S Fld(8,0,AC_FULLB0)//[7:0]

#endif /* _HW_HPCPLL_H_ */
